Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.javacc
Class RichMacroDefinition

    java.lang.Object
      org.richfaces.javacc.RichMacroDefinition

All Implemented Interfaces:
  RichMacroDefinitionConstants

    public class RichMacroDefinition

extends java.lang.Object
implements RichMacroDefinitionConstants

Field Summary
`Token` | `jj_nt`
`Token` | `token`
`RichMacroDefinitionTokenManager` | `token_source`

Fields inherited from interface org.richfaces.javacc.RichMacroDefinitionConstants
`DEFAULT, EOF, LEFT_BRACKET, LITERAL, RIGHT_BRACKET, SLASH, tokenImage`

Constructor Summary
`RichMacroDefinition(java.io.InputStream stream)`
`RichMacroDefinition(java.io.InputStream stream, java.lang.String encoding)`
`RichMacroDefinition(java.io.Reader stream)`
`RichMacroDefinition(RichMacroDefinitionTokenManager tm)`

Method Summary
`void` | `disable_tracing()`
`void` | `enable_tracing()`
`java.util.List` | `expression()`
`ParseException` | `generateParseException()`
`Token` | `getNextToken()`
`Token` | `getToken(int index)`
`java.lang.String` | `macrodef()`
`static void` | `main(java.lang.String[] args)`
`void` | `ReInit(java.io.InputStream stream)`
`void` | `ReInit(java.io.InputStream stream, java.lang.String encoding)`
`void` | `ReInit(java.io.Reader stream)`
`void` | `ReInit(RichMacroDefinitionTokenManager tm)`
`java.lang.String` | `text()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### token_source

    public RichMacroDefinitionTokenManager token_source

### token

    public Token token

### jj_nt

    public Token jj_nt

Constructor Detail

### RichMacroDefinition

    public RichMacroDefinition(java.io.InputStream stream)

### RichMacroDefinition

    public RichMacroDefinition(java.io.InputStream stream,
                               java.lang.String encoding)

### RichMacroDefinition

    public RichMacroDefinition(java.io.Reader stream)

### RichMacroDefinition

    public RichMacroDefinition(RichMacroDefinitionTokenManager tm)

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws ParseException,
                            java.io.IOException

  Throws:
    `ParseException`
    `java.io.IOException`

### expression

    public final java.util.List expression()
                                    throws ParseException

  Throws:
    `ParseException`

### text

    public final java.lang.String text()
                                throws ParseException

  Throws:
    `ParseException`

### macrodef

    public final java.lang.String macrodef()
                                    throws ParseException

  Throws:
    `ParseException`

### ReInit

    public void ReInit(java.io.InputStream stream)

### ReInit

    public void ReInit(java.io.InputStream stream,
                       java.lang.String encoding)

### ReInit

    public void ReInit(java.io.Reader stream)

### ReInit

    public void ReInit(RichMacroDefinitionTokenManager tm)

### getNextToken

    public final Token getNextToken()

### getToken

    public final Token getToken(int index)

### generateParseException

    public ParseException generateParseException()

### enable_tracing

    public final void enable_tracing()

### disable_tracing

    public final void disable_tracing()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.